org.springframework.cloud.dataflow.server.service.impl.validation

## Class DefaultTaskValidationService

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.validation.DefaultValidationService
  - - org.springframework.cloud.dataflow.server.service.impl.validation.DefaultTaskValidationService

- All Implemented Interfaces:
    TaskValidationService, ValidationService

      public class DefaultTaskValidationService
      extends DefaultValidationService
      implements TaskValidationService

  Implementation of the TaskValidationService that delegates to the task definition repository and is able to validate composed task definitions.
  Author:
    Glenn Renfro, Mark Pollack, Ilayaperumal Gopinathan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTaskValidationService(AppRegistryService appRegistry, DockerValidatorProperties dockerValidatorProperties, TaskDefinitionRepository taskDefinitionRepository)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValidationStatus` | `validateTask(String name)` Validate the task given the registered name

    - ### Methods inherited from class org.springframework.cloud.dataflow.server.service.impl.validation.DefaultValidationService

      `isRegistered, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.cloud.dataflow.server.service.ValidationService

      `isRegistered, validate`

- - ### Constructor Detail

    - #### DefaultTaskValidationService

          public DefaultTaskValidationService(AppRegistryService appRegistry,
                                              DockerValidatorProperties dockerValidatorProperties,
                                              TaskDefinitionRepository taskDefinitionRepository)

  - ### Method Detail

    - #### validateTask

          public ValidationStatus validateTask(String name)

      Description copied from interface: `TaskValidationService`
      Validate the task given the registered name
      Specified by:
        `validateTask` in interface `TaskValidationService`
      Parameters:
        `name` - then name of the task
      Returns:
        the validation status

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.